Subject: Re: gdb, what I made wrong?!
From: [email-masked] (Darren Evans)

1 Jul 1998 06:55:57 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

>I have just built gdb-4.16 under Windows 95 but unfortunately it crashed. 

Interesting.

>When I started my gdb from command line I had windows with following
>message:

OK

>GDB caused an invalid page fault in
>module <unknown> at 0000:0010cac0.
>Registers:
>EAX=0040037f CS=016f EIP=0010cac0 EFLGS=00010206
>EBX=00000000 SS=0177 ESP=027dfe18 EBP=027dfe28
>ECX=00040006 DS=0177 ESI=815a7ba4 FS=395f
>EDX=027dfe24 ES=0177 EDI=00000000 GS=0000
>Bytes at CS:EIP:
>00 81 e9 00 02 26 8e 06 20 00 be 57 d7 ba 08 00 

>and under other gdb:

>This GDB was configured as "i386-cygwin32"...
>(gdb) break *0x401000
>Breakpoint 1 at 0x401000
>(gdb) run
>Starting program: /gnu/gdb-4.16/i386-qssl281-svr4/gdb/./gdb.exe 
>bff30000:/WINDOWS/SYSTEM/GDI32.DLL
>bff60000:/WINDOWS/SYSTEM/USER32.DLL
>7c6c0000:/WINDOWS/SYSTEM/WSOCK32.DLL
>bfed0000:/WINDOWS/SYSTEM/ADVAPI32.DLL
>bff70000:/WINDOWS/SYSTEM/KERNEL32.DLL
>
>[failed reading symbols from DLL]
>"/WINDOWS/SYSTEM/SHLWAPI.DLL": error reading line numbers
>
>7fdc0000:/WINDOWS/SYSTEM/SHELL32.DLL
>
>[failed reading symbols from DLL]
>"/WINDOWS/SYSTEM/COMCTL32.DLL": error reading line numbers
>
>63280000:/WINDOWS/SYSTEM/URL.DLL

Is the way NT handle's symbols, differnt to the cygnus/gdb symbol file?

>Breakpoint 1, 0x401000 in mainCRTStartup ()
>
>0x401000 <mainCRTStartup>:	pushl  %ebp
>0x401001 <mainCRTStartup+1>:	movl   %esp,%ebp

>I received message:
>
>'Program received signal SIGSEGV, Segmentation fault.'
>
>Before, I built a few cross compilers from gcc-2.8.1 stuff and I had no any
>problems. I am using gcc b18.

>Thank you for any hints. Please send e-mail directly to me.

I think theres a great need for more detailed documentation for cygnus
stuff, so we can better figure out whats happening, and get people upto
speed faster.

D
------------------------------------------
 Darren Evans                0171 573 5961
 Systems Engineer        FAX 0171 573 5959
 Systems Operation Group
 Online Magic Ltd

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".